> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get reportingall routes

> Get routes across all spaces



## OpenAPI

````yaml /schema.json get /reporting/all_routes
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /reporting/all_routes:
    get:
      tags:
        - Reporting
      description: Get routes across all spaces
      operationId: getAllRoutes
      parameters:
        - name: filter
          in: query
          description: Apply search criteria.
          required: false
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A list of all routes across all spaces
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportingGetAllRoutesResult'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ReportingGetAllRoutesResult:
      type: object
      properties:
        metadata:
          $ref: '#/components/schemas/ActionMetaData'
        results:
          type: array
          items:
            $ref: '#/components/schemas/ReportingGetAllRoutes'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    ActionMetaData:
      type: object
      properties:
        totalCount:
          type: integer
          format: int32
          description: Total count of items that match the criteria.
    ReportingGetAllRoutes:
      type: object
      properties:
        type:
          type: string
          title: Type
          description: Type
        identifier:
          type: string
          title: Identifier
          description: Identifier
          pattern: ^[a-z0-9-]+$
          maxLength: 255
        space:
          type: string
          title: Space identifier
          description: Space identifier
          pattern: ^[a-z0-9-]+$
          maxLength: 255
        name:
          type: string
          title: Name
          description: Name
          maxLength: 255
        disabled:
          type: boolean
          title: Status
          description: Whether the configuration is disabled
          default: false
          ui:
            ui:widget: disable
        createdAt:
          type: string
          title: Created at
          format: date-time
          description: Creation date
          ui:
            ui:widget: hidden
        updatedAt:
          type: string
          title: Updated at
          format: date-time
          description: Update date
          ui:
            ui:widget: hidden

````